Bug 1082815 - ARM Kernels 3.13+ have no working display when using a DTB
Summary: ARM Kernels 3.13+ have no working display when using a DTB
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: arm
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kyle McMartin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2014-03-31 21:12 UTC by Paul Whalen
Modified: 2015-09-01 03:54 UTC (History)
14 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-23 17:42:35 UTC


Attachments (Terms of Use)

Description Paul Whalen 2014-03-31 21:12:33 UTC
Description of problem:
When booting with a DTB using kernels 3.13+ all platforms lack a working display. Booting without a DTB in vexpress continues to work. 

This seems to affect all boards tested - specifically the Trimslice and Pandaboard which were working prior.

Comment 1 Kai Reichert 2014-04-21 20:13:17 UTC
I can confirm this on a pandaboard. In the meantime it can boot with a DTB for current kernels on fedora 20, but the HDMI display is not working.

In prior kernel versions without DTB I a get display at full 1920x1080 pixel resolution.

Comment 2 Paul Whalen 2014-05-27 14:31:17 UTC
Display is working again on the Pandaboard in kernel-3.15.0-0.rc5.git2.10.fc21+ using rawhide nightlies.

Comment 3 Adam Williamson 2014-07-30 17:54:28 UTC
F20 is now on a 3.15 kernel in stable updates. Does this mean this is fixed for F20/F21/F22 now? F19 is still on 3.14.

Comment 4 Josh Boyer 2014-07-30 18:01:49 UTC
FYI, F19 is staying on 3.14.y until EOL.  If 3.15 is required for this bug then users will need to migrate to F20.

Comment 5 info@kobaltwit.be 2014-09-05 10:03:31 UTC
I recently installed Fedora 20 on my trimslice. This installer image works well, however after a system update to Kernel 3.15.10 there is no longer output on the hdmi port.

I talked about this yesterday on the #fedora-arm irc channel. The problem is that the tegra_drm module is not added to initrd.

Manually running "modprobe tegra_drm" restores the output on the hdmi port.

When I asked about the cause of this, I got this reply:
[Thursday 04 September 2014] [18:56:32] <nchauvet> issue with the way dracut detect the drm driver, fixed in f22 dracut

Fedora 22 is still a long way ahead of us. So would it be possible to backport this fix to Fedora 20 ?

Comment 6 Nicolas Chauvet (kwizart) 2014-09-05 10:19:03 UTC
(In reply to info@kobaltwit.be from comment #5)
..
> I talked about this yesterday on the #fedora-arm irc channel. The problem is
> that the tegra_drm module is not added to initrd.
The autoloading of the tegra_drm is fixed with backport of:
ApplyPatch arm-tegra-drmdetection.patch
that is currently available on kernel 3.16.
This kernel should hit f20 updates at some point.


Note You need to log in before you can comment on or make changes to this bug.